SGMINER(1)

NAME
sgminer - A multi-threaded multi-pool ATI GPU miner for scrypt-based cryptocurrency

SYNOPSIS
sgminer [-DLqTvhnV] [-d device] [-E seconds] [-g threads] [-I intensity] [-X intensity] [-K path] [-k kernel] [-l seconds] [-m command] [-p password] [-Q items] [-U url] [-s seconds] [-o url] [-u username] [-w worksize] [-O username:password] [-c file]

DESCRIPTION
sgminer is a multi-threaded multi-pool GPU miner with ATI GPU monitoring, (over)clocking and fanspeed support for scrypt-based cryptocurrency. It is based on cgminer by Con Kolivas (ckolivas), which is in turn based on cpuminer by Jeff Garzik (jgarzik).

USAGE

The classic and best usage of sgminer is to load a json formatted config file which specifies all the options you need. This is done by:
    sgminer -c /etc/sgminer.conf
You can run sgminer without a config file by specifying pools and GPU specifics on the command line. Single pool:
    sgminer -o http://pool:port -u username -p password

Multiple pools:
    sgminer -o http://pool1:port -u pool1username -p pool1password -o http://pool2:port -u pool2usernmae -p pool2password

Single pool with a standard http proxy, regular desktop:
    sgminer -o "http:proxy:port|http://pool:port" -u username -p password

Single pool with various GPU options specified:
    sgminer -o http://pool:port -u username -p password --auto-fan --auto-gpu --gpu-memclock 1400 --gpu-threads 1 --expiry 30

OPTIONS

--algorithm algorithm
    Set mining algorithm and most common defaults, default: scrypt

--api-allow address
    Allow API access only to the given list of [G:]IP[/Prefix] addresses[/subnets]

--api-description description
    Description placed in the API status header, default: sgminer version

--api-groups group
    API one letter groups G:cmd:cmd[,P:cmd:*...] defining the cmds a groups can use

--api-listen
    Enable API, default: disabled

--api-mcast
    Enable API Multicast listener, default: disabled

--api-mcast-addr address
    API Multicast listen address

--api-mcast-code code
    Code expected in the API Multicast message, don't use '-'

--api-mcast-des description
    Description appended to the API Multicast reply, default: ''

--api-mcast-port port
    API Multicast listen port (default: 4028)

--api-network
    Allow API (if enabled) to listen on/for any address, default: only 127.0.0.1

--api-port port
    Port number of miner API (default: 4028)

--auto-fan
    Automatically adjust all GPU fan speeds to maintain a target temperature

--auto-gpu
    Automatically adjust all GPU engine clock speeds to maintain a target temperature

--balance
    Change multipool strategy from failover to even share balance

--benchmark
    Run sgminer in benchmark mode - produces no shares

--compact
    Use compact display without per device statistics

-D, --debug
    Enable debug output

--description description
    Pool description

-d, --device device
    Select device to use, one value, range and/or comma separated (e.g. 0-2,4) default: all

--disable-rejecting
    Automatically disable pools that continually reject shares

-E, --expiry seconds
    Upper bound on how many seconds after getting work we consider a share from it stale (default: 28)

--failover-only
    Don't leak work to backup pools when primary pool is lagging

--failover-switch-delay seconds
    Delay in seconds before switching back to a failed pool (default: 60)

--fix-protocol
    Do not redirect to a different getwork protocol (eg. stratum)

--gpu-dyninterval milliseconds
    Set the refresh interval in ms for GPUs using dynamic intensity (default: 7)

--gpu-platform platformid
    Select OpenCL platform ID to use for GPU mining (default: -1)

-g, --gpu-threads threads
    Number of threads per GPU - one value or comma separated list (e.g. 1,2,1)

--gpu-engine mhz
    GPU engine (over)clock range in Mhz - one value, range and/or comma separated list (e.g. 850-900,900,750-850)

--gpu-fan percentage
    GPU fan percentage range - one value, range and/or comma separated list (e.g. 0-85,85,65)

--gpu-map deviceorder
    Map OpenCL to ADL device order manually, paired CSV (e.g. 1:0,2:1 maps OpenCL 1 to ADL 0, 2 to 1)

--gpu-memclock mhz
    Set the GPU memory (over)clock in Mhz - one value for all or separate by commas for per card

--gpu-memdiff mhz
    Set a fixed difference in clock speed between the GPU and memory in auto-gpu mode

--gpu-powertune powertunepercentage
    Set the GPU powertune percentage - one value for all or separate by commas for per card

--gpu-reorder
    Attempt to reorder GPU devices according to PCI Bus ID

--gpu-vddc volts
    Set the GPU voltage in Volts - one value for all or separate by commas for per card

--lookup-gap lookupgap
    Set GPU lookup gap for scrypt mining, comma separated

--incognito
    Do not display user name in status window

-I, --intensity intensity
    Intensity of GPU scanning (d or 8 -> 31,default: d to maintain desktop interactivity), overridden by --xintensity or --rawintensity.

-X, --xintensity intensity
    Shader based intensity of GPU scanning (1 to 9999), overrides --intensity, overridden by --rawintensity.

--rawintensity intensity
    Raw intensity of GPU scanning (1 to 2147483647), overrides --intensity and --xintensity.

-K, --kernel-path path
    Specify a path to where kernel files are (default: "/usr/local/bin")

-k, --kernel kernel
    Override kernel to use - one value or comma separated

--load-balance
    Change multipool strategy from failover to quota based balance

-l, --log seconds
    Interval in seconds between log output (default: 5)

-L, --log-show-date
    Show date on every log line

--lowmem
    Minimise caching of shares for low memory applications

-m, --monitor command
    Use custom pipe cmd for output messages

--name name
    Name of pool

--net-delay
    Impose small delays in networking to not overload slow routers

--nfactor n-factor
    Override default scrypt N-factor parameter.

--no-adl
    Disable the ATI display library used for monitoring and setting GPU parameters

--no-client-reconnect
    Disable 'client.reconnect' stratum functionality

--no-restart
    Do not attempt to restart GPUs that hang

--no-submit-stale
    Don't submit shares if they are detected as stale

-p, --pass password
    Password for bitcoin JSON-RPC server

--per-device-stats
    Force verbose mode and output per-device statistics

--priority priority
    Pool priority

-P, --protocol-dump
    Verbose dump of protocol-level activities

-Q, --queue items
    Minimum number of work items to have queued (0+) (default: 1)

-q, --quiet
    Disable logging output, display status and errors

-U, --quota url
    URL combination for server with load-balance strategy quotas

--real-quiet
    Disable all output

--remove-disabled
    Remove disabled devices entirely, as if they didn't exist

--rotate minutes
    Change multipool strategy from failover to regularly rotate at N minutes (default: 0)

--round-robin
    Change multipool strategy from failover to round robin on failure

-s, --scan-time seconds
    Upper bound on time spent scanning current work, in seconds (default: 7)

--sched-start hh:mm
    Set a time of day in HH:MM to start mining (a once off without a stop time)

--sched-stop hh:mm
    Set a time of day in HH:MM to stop mining (will quit without a start time)

--shaders shaders
    GPU shaders per card for tuning scrypt, comma separated

--sharelog file
    Append share log to file

--shares shares
    Quit after mining N shares (default: unlimited)

--socks-proxy host:port
    Set socks4 proxy (host:port)

--state state
    Specify pool state at startup (default: enabled)

--syslog
    Use system log for output messages (default: standard error)

--tcp-keepalive seconds
    TCP keepalive packet idle time (default: 30)

--temp-cutoff degrees
    Temperature which a device will be automatically disabled at, one value or comma separated list (default: 95)

--temp-hysteresis degrees
    Set how much the temperature can fluctuate outside limits when automanaging speeds (default: 3)

--temp-overheat degrees
    Temperature which a device will be throttled at while automanaging fan and/or GPU, one value or comma separated list (default: 85)

--temp-target degrees
    Temperature which a device should stay at while automanaging fan and/or GPU, one value or comma separated list (default: 75)

-T, --text-only
    Disable ncurses formatted screen output

--thread-concurrency threads
    Set GPU thread concurrency for scrypt mining, comma separated

-o, --url url
    URL for bitcoin JSON-RPC server

--pool-algorithm algorithm
    Set algorithm for pool

--pool-nfactor n-factor
    Set N-factor for pool

-u, --user username
    Username for bitcoin JSON-RPC server

-v, --verbose
    Log verbose output to stderr as well as status output

-w, --worksize worksize
    Override detected optimal worksize - one value or comma separated list

-O, --userpass username:password
    Username:Password pair for bitcoin JSON-RPC server

--worktime
    Display extra work time debug information

-c, --config file
    Load a JSON-format configuration file See example.conf for an example configuration.

--default-config file
    Specify the filename of the default config file Loaded at start and used when saving without a name.

-h, --help
    Print this message

-n, --ndevs
    Display number of detected GPUs, OpenCL platform information, and exit

-V, --version
    Display version and exit

REPORTING BUGS
git tree: https://github.com/sgminer-dev/sgminer
bugtracker: https://github.com/sgminer-dev/sgminer/issues
irc: #sgminer and #sgminer-dev on freenode
mailing lists: https://sourceforge.net/p/sgminer/mailman/

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.